Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
Botan::Cert_Extension::Authority_Information_Access Class Referencefinal

`#include <x509_ext.h>`

Inheritance diagram for Botan::Cert_Extension::Authority_Information_Access:

## Public Member Functions
| Authority_Information_Access ()=default
| Authority_Information_Access (const std::string &ocsp, const std::vector< std::string > &ca_issuers=std::vector< std::string >())
const std::vector< std::string > | ca_issuers () const
Authority_Information_Access * | copy () const override
std::string | ocsp_responder () const
OID | oid_of () const override
virtual void | validate (const X509_Certificate &subject, const X509_Certificate &issuer, const std::vector< std::shared_ptr< const X509_Certificate >> &cert_path, std::vector< std::set< Certificate_Status_Code >> &cert_status, size_t pos)

## Static Public Member Functions
static OID | static_oid ()

## Detailed Description

Authority Information Access Extension

Definition at line 570 of file x509_ext.h.

## Constructor & Destructor Documentation

Botan::Cert_Extension::Authority_Information_Access::Authority_Information_Access | ( |  | ) |
| default

Botan::Cert_Extension::Authority_Information_Access::Authority_Information_Access | ( | const std::string & | ocsp,
|  | const std::vector< std::string > & | ca_issuers = `std::vector<std::string>()`
| ) |  |
| inline explicit

Definition at line 578 of file x509_ext.h.

578 :
579 m_ocsp_responder(ocsp), m_ca_issuers(ca_issuers) {}
Botan::Cert_Extension::Authority_Information_Access::ca_issuers
const std::vector< std::string > ca_issuers() const
Definition: x509_ext.h:585

## Member Function Documentation

const std::vector<std::string> Botan::Cert_Extension::Authority_Information_Access::ca_issuers | ( |  | ) | const
| inline

Definition at line 585 of file x509_ext.h.

585 { return m_ca_issuers; }

Authority_Information_Access* Botan::Cert_Extension::Authority_Information_Access::copy | ( |  | ) | const
| inline override virtual

Make a copy of this extension

Returns
  copy of this

Implements Botan::Certificate_Extension.

Definition at line 573 of file x509_ext.h.

574 { return new Authority_Information_Access(m_ocsp_responder, m_ca_issuers); }
Botan::Cert_Extension::Authority_Information_Access::Authority_Information_Access
Authority_Information_Access()=default

std::string Botan::Cert_Extension::Authority_Information_Access::ocsp_responder | ( |  | ) | const
| inline

Definition at line 581 of file x509_ext.h.

581 { return m_ocsp_responder; }

OID Botan::Cert_Extension::Authority_Information_Access::oid_of | ( |  | ) | const
| inline override virtual

Returns
  OID representing this extension

Implements Botan::Certificate_Extension.

Definition at line 584 of file x509_ext.h.

584 { return static_oid(); }
Botan::Cert_Extension::Authority_Information_Access::static_oid
static OID static_oid()
Definition: x509_ext.h:583

static OID Botan::Cert_Extension::Authority_Information_Access::static_oid | ( |  | ) |
| inline static

Definition at line 583 of file x509_ext.h.

583 { return OID("1.3.6.1.5.5.7.1.1"); }

void Botan::Certificate_Extension::validate | ( | const X509_Certificate & | subject,
|  | const X509_Certificate & | issuer,
|  | const std::vector< std::shared_ptr< const X509_Certificate >> & | cert_path,
|  | std::vector< std::set< Certificate_Status_Code >> & | cert_status,
|  | size_t | pos
| ) |  |
| virtual inherited

Reimplemented in Botan::Cert_Extension::Unknown_Extension, Botan::Cert_Extension::Certificate_Policies, and Botan::Cert_Extension::Name_Constraints.

Definition at line 113 of file x509_ext.cpp.

117 {
118 }

The documentation for this class was generated from the following files:

- src/lib/x509/x509_ext.h
- src/lib/x509/x509_ext.cpp